Bug 993635 - Uberfire compile error causing by dependecies mismatch with EAP bom
Uberfire compile error causing by dependecies mismatch with EAP bom
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Alexandre Porcelli
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 06:41 EDT by Ryan Zhang
Modified: 2014-08-06 16:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2013-08-06 06:41:21 EDT
Description of problem:
There are dependencies mismatch with EAP 6.1 which listed in the following.
artifacts, version in Uberfire,   version in EAP
 errai;errai-ioc, 2.3.2.Final, 2.4.0-Beta1-redhat-1 
org.yaml:snakeyaml:1.10:jar ,  :1.8-redhat-2:jar 
causing another error
commons-codec:commons-codec:1.5:    1.4-redhat-2:jar

Please ignore the -redhat-N, just match the upstream version.

Please downgrade them to match EAP's version.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Alexandre Porcelli 2013-08-06 11:40:58 EDT
Community master and 0.3.x branch are already downgrade.
Comment 5 Marek Baluch 2013-10-09 08:57:00 EDT
Verified on ER3 sync.

Note You need to log in before you can comment on or make changes to this bug.